#!/usr/bin/python
# vim: set ai sts=4 sw=4 ts=8 expandtab:
'''
Cashier
'''

class pnCashier:
    '''.
    ״ ζǸ Ǹϰ  Ѵ.
    '''
    # System Methods
    def __init__(self, parent):
        self.parent = parent
        self.sale = 0
        self.open = 0
        self.subsidy = 0

    # Get/Set
    def getSale(self): return self.sale
    def setSale(self, val): self.sale = val

    # Internal
    # External
    def closing(self): self.open = 0
    def opening(self): self.open = 1
        
    def buyTicket(self, customer, ticket):
        if 1:   # dummy for extend
            self.setSale(self.getSale() + 2000)
            customer.addTicket(ticket)
            customer.addOutgo(2000)
            return 1
        return 0

    def withdraw(self):
        finance = self.getSale()
        self.setSale(0)
        return finance

    def saving(self, subsidy):
        self.subsidy += subsidy

